diff --git a/books/bookvol12.pamphlet b/books/bookvol12.pamphlet
index 5fed721..123cb31 100644
--- a/books/bookvol12.pamphlet
+++ b/books/bookvol12.pamphlet
@@ -299,6 +299,83 @@ November 10, 2003 ((iHy))
 \pagenumbering{arabic}
 \setcounter{chapter}{0} % Chapter 1
 \chapter{Axiom Crystal Design}
+\section{Book presentation}
+In the book "Science at the Edge" by John Brockman
+(ISBN 978-1-4027-5450-0),
+in the chapter "The second coming -- A manifesto" by David Gelernter,
+David talks about the way we interact with computers. This has some
+bearing on the crystal notion.
+
+\subsection{Book spines}
+David points out that we currently have a "desktop metaphor" which
+allows us to view our computer interactions as though we were moving
+things around on a desktop, typically folders and documents. There are
+several limitations of this metaphor.
+
+The first is that there is a limited amount of space on the desktop.
+He proposes the idea of a landscape where the computer is just a moving
+window. This gives much more real estate to hold information.
+
+The lack of desktop space leads to the icon idea to capture a small
+representation of a document or folder. There are limitations to how
+representative such a tiny image can be of the original. A book spine
+is an excellent representation of the contents of a book but a tiny
+picture of a folder, not so much.
+
+If I look at this idea in terms of the Crystal concept I can
+see two parallels. The first idea (desktop/icon) vs (landscape/book)
+is related to the organization of Axiom. There is an ongoing effort
+to organize the whole of the system into some small number of books.
+The whole system is then somewhat similar to an encyclopedia where
+there is a shelf of related information. 
+
+Currently the algebra books are on the order of 5000 pages of raw
+material. They will likely grow many times that size as literate
+information is added. One website representation would show the
+Axiom books as book-spines where the algebra section could be
+broken up (visually, not actually) as encyclopedia-like images.
+Thus, you would find the algebra "books" from A-C, D-F, etc.
+
+\subsection{Linking information}
+
+A second idea from the book is the limitations of the hierarchical
+file system idea. Why does a particular file have to have a name?
+Why does a particular file only live in one folder?
+
+For the first question, he comments that if you had 3 dogs it is reasonable
+to name them. But if you have 10,000 cows it probably is not. Some
+information can be anonymous.
+
+For the second question, he asks why doesn't a folder "grab" the 
+information so that a particular file might not reside in multiple
+folders. Unix has this idea embodied in links but Windows doesn't
+support the idea.
+
+He suggests that it might be reasonable to have the folders be active
+so that a particular piece of information, say a travel receipt, might
+be "grabbed" by the taxes folder and the travel expense folder.
+
+Crystal's view of this is somewhat different. Information isn't named.
+It resides in "the problem" floating in space. The naming of information
+is related to the view. 
+
+So if we take a problem in space, say all of your financial information
+and wrap a crystal around it we can view it in multiple ways, each of
+which represents a "facet". Moving between these views corresponds to
+rotating the crystal to view "the problem" through a different facet.
+
+So, in a financial crystal, you might have a taxes facet, a travel
+expense facet, an assets facet, a checkbook facet, etc. A travel
+receipt from a business trip which was added to "the problem' would
+show up in all of these facets in different ways. It is up to the
+facet to organize this piece of information into its proper place
+based on the intent of the facet.
+
+"The problem" just is. The meaning of the problem, the division of the
+problem into parts, the naming of the parts, the organization of the
+parts, indeed, the very idea that a problem has parts is a function of
+the facet, not a function of the problem.
+
 \chapter{Experiments}
 \section{Hide/Show a div element}
 Here we demonstrate the ability to hide or show a named div element.
diff --git a/changelog b/changelog
index 2c5fbac..e358c2b 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090412 tpd src/axiom-website/patches.html 20090413.01.tpd.patch
+20090413 tpd books/bookvol12 add Gelernter's observations
 20090412 tpd src/axiom-website/patches.html 20090412.01.tpd.patch
 20090412 tpd books/bookvol5 fix event comparison case chain bug
 20090410 tpd src/axiom-website/patches.html 20090410.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 66d6ce3..f292865 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1066,5 +1066,7 @@ bookvol5 add more interpreter code<br/>
 faq 50: Cannot find libXpm.a<br/>
 <a href="patches/20090412.01.tpd.patch">20090412.01.tpd.patch</a>
 bookvol5 fix event comparison case chain bug<br/>
+<a href="patches/20090413.01.tpd.patch">20090413.01.tpd.patch</a>
+bookvol12 add Gelernter's observations<br/>
  </body>
 </html>
